Bug 814243 - [eap6] harmless error in agent.log when discovery runs
[eap6] harmless error in agent.log when discovery runs
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-19 08:55 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:20:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-19 08:55:39 EDT
Description of problem: I am getting harmless errors in agent.log when discovery runs. I am not able to guess what does it mean.

Main reason why I create this BZ is, that I'd like to enable agent.log checking, that seeks for error line when each test runs, I hope it will help detecting issues not caught by assertions.

Could these be removed?

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: a5e442c
EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.start agent on host where both domain & stanadlone EAP runs
2.run manual autodiscovery on agent
3.check log
  
Actual results: This appears in agent.log

ERROR [ResourceDiscoveryComponent.invoker.daemon-11] (rhq.modules.plugins.jbossas7.HostControllerDiscovery)- / (Is a directory)
ERROR [ResourceDiscoveryComponent.invoker.daemon-12] (rhq.modules.plugins.jbossas7.StandaloneASDiscovery)- / (Is a directory)
Comment 1 Heiko W. Rupp 2012-05-15 06:55:14 EDT
I think this can be closed - there have been lots of refactorings and I can't see that in the logs.
Comment 2 Heiko W. Rupp 2013-09-01 15:20:00 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.